﻿using UnityEngine;
using System.Collections;

public class Projectiles : MonoBehaviour {

	//This is used to set an initial value for our player ship's projectiles damage it will cause when it hits any object in our game space.
	public float damage = 100f;
	
	//This method returns the value of our damage variable to any other script that calls our Projectiles class, which is why we made it public.
	public float GetDamage() {
		return damage;
	}

	//This method runs any special effects we want to take place when our projectile comes in contact with objects in the game space.
	public void Hit() {
		Destroy(gameObject);
	}
}
