﻿using UnityEngine;
using System.Collections;

public class Shredder : MonoBehaviour {

	//We use this for the edges of our game so it destroys objects as they leave the game space.
	//This is important for performance as objects will remain in our game forever if we don't destroy them.
	void OnTriggerEnter2D(Collider2D trigger)  {
		//Used for debugging.
		//TODO:  Remove before production release.
		print ("Shredded");
		Destroy(trigger.gameObject);
	}
}
